Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::Activator_Callback_Impl Class Reference

`#include <ServerActivator_Impl.h>`

List of all members.

## Public Methods
| Activator_Callback_Impl (CORBA::ORB_ptr o, PortableServer::POA_ptr p, Components::Deployment::ServerActivator_ptr s, const Components::ConfigValues &cofig)
| Constructor.
| ~Activator_Callback_Impl ()
| Destructor.
virtual PortableServer::POA_ptr | _default_POA (void)
## Friends
class | ServerActivator_Impl

## Constructor & Destructor Documentation

CIAO::Activator_Callback_Impl::Activator_Callback_Impl | ( | CORBA::ORB_ptr | o,
|  | PortableServer::POA_ptr | p,
|  | Components::Deployment::ServerActivator_ptr | s,
|  | const Components::ConfigValues & | cofig
| ) |

| Constructor.

CIAO::Activator_Callback_Impl::~Activator_Callback_Impl | ( |  | ) |

| Destructor.

## Member Function Documentation

PortableServer::POA_ptr CIAO::Activator_Callback_Impl::_default_POA | ( | void |  | ) | `[virtual]`

| Get the containing POA. This operation does *not* increase the reference count of the POA.

## Friends And Related Function Documentation

friend class ServerActivator_Impl`[friend]`

The documentation for this class was generated from the following files:

- ServerActivator_Impl.h
- ServerActivator_Impl.cpp